- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GAuth::SaslServerFactory Class Reference

Provides a factory function for SaslServer instances. More...

`#include <gsaslserverfactory.h>`

## Static Public Member Functions
static std::auto_ptr< SaslServer > | newSaslServer (const SaslServer::Secrets &, bool, bool)
| A factory function for a SaslServer. More...

## Detailed Description

Provides a factory function for SaslServer instances.

Definition at line 39 of file gsaslserverfactory.h.

## Member Function Documentation

std::auto_ptr< GAuth::SaslServer > GAuth::SaslServerFactory::newSaslServer | ( | const SaslServer::Secrets & | secrets,
|  | bool | b1,
|  | bool | b2
| ) |  |
| static

A factory function for a SaslServer.

Definition at line 29 of file gsaslserverfactory_native.cpp.

The documentation for this class was generated from the following files:

- gsaslserverfactory.h
- gsaslserverfactory_native.cpp